Calculate Replication Mappings

Calculate Replication Mappings
Calculate replication mappings for a vSphere Replication Management Server in a given pairing.

Calculate replication mappings for a vSphere Replication Management Server by a given set of datastores as source and a set of datastores/datastore clusters as a target. The result will contain a list of mappings between all compute clusters where the source and target datastores/datastore clusters are accessible from.

Request
URI
POST
https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings/actions/calculate
COPY
Path Parameters
string
pairing_id
Required

The ID of the pairing between this vSphere Replication server and the remote one.

string
vr_id
Required

The ID of the VRMS


Request Body

Spec used to calculate replication mappings.

CalculateReplicationMappingsSpec of type(s) application/json
Required
{
    "source_datastore_ids": [
        "Datastore:datastore-16:ff4a23e7-2fed-4be0-be39-479ae372badd"
    ],
    "target_datastore_ids": [
        "Datastore:datastore-16:ff4a23e7-2fed-4be0-be39-479ae372badd"
    ]
}
array of string
source_datastore_ids
Optional

List of source datastore IDs.

array of string
target_datastore_ids
Optional

List of target datastore or datastore cluster IDs.

Authentication
This operation uses the following authentication methods.
Responses
200

List of replication mappings.

Returns CalculatedReplicationMappingDrResponseList of type(s) application/json
{
    "list": [
        {
            "source_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e",
            "target_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e",
            "source_object_name": "string",
            "target_object_name": "string",
            "source_host_count": 0,
            "target_host_count": 0
        }
    ],
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ],
        "total": 0,
        "offset": 0,
        "limit": 0,
        "links": {
            "next": {
                "href": "string"
            },
            "self": {
                "href": "string"
            },
            "previous": {
                "href": "string"
            }
        }
    }
}
array of object
list
Optional

Calculated replication mapping between compute resources, used to test connectivity between these compute resources.

object
_meta
Optional

List metadata


400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings/actions/calculate